/*
 *  Copyright (c) 2002, Tayeb Lemlouma
 *  All rights reserved.
 *  
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer. 
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution. 
 *  Neither the name of the Opera Project (INRIA Rhne Alpes) nor the names
 *  of its contributors may be used to endorse or promote products derived
 *  from this software without specific prior written permission.
 *   
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package fr.inrialpes.opera.upsprofiles;

import java.io.*;
/**
 * This class sets the content of mainly, the CC/PP hardware and software component.
 *
 *@author     Tayeb LEMLOUMA (Tayeb.Lemlouma@inrialpes.fr)
 *@created    25 April 2002
 */
public class SetCCPP_H_S_PlatformComponent{
    /**
    * Sets the content of the CC/PP hardware and software content. 
    * Can be also used to set other components in the UPS schema havinf the same form.
    *@param	Content	The util information of the component
    *@param	out	point to the file of the profile
    */  
    public SetCCPP_H_S_PlatformComponent(String Content, OutputStreamWriter out){
	try{
		String strN, strV; char c;
		for(int i=0; i< Content.length(); i++){
		 //retrieve the tag name
		 strN="";
		 while ((c=Content.charAt(i))!='|') {strN += c;i++;}
		 //retrieve the tag value
		 i++;
		 strV="";
		 while ((i< Content.length()) && ((c=Content.charAt(i))!='|')) {strV += c;i++;}
		 
		 out.write("<neg:"+strN+">"+strV+"</neg:"+strN+">\r\n");
		  
		}//end for i
	}catch(Exception e){System.out.println("Error during seting the CC/PP H/S platform content:\n"+e);}
    }//end of SetCCPP_H_S_PlatformComponent

}//end of class